<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
}

// Pie de página
function Footer()
{
}
}
$pdf = new PDF('P','mm','letter');
$pdf->SetMargins(10, 7, 5, -1); // Margen izquierdo de 10, Superior 10 y se maneja un ancho de 200 para el contenido, Margen derecho de 5

// Creación del objeto de la clase heredada

$bdie=$_GET['bdie'];
$idi=$_GET['idi'];
$danesede=$_GET['danesede'];
$nomsede= $_GET['nomsede'];
$periodo= $_GET['periodo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];

include("../php/conexion-infogeneral.php");
$DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
if(mysql_num_rows($DatosInstitucion)>0) {
	$registro=mysql_fetch_array($DatosInstitucion);
	$institucion=utf8_decode($registro["nombreie"]);
	$departamento=$registro["departamentoie"];
	$municipio=$registro["municipioie"];
	$dane=$registro["daneie"];
	$nit=$registro["nitie"];
	$resolucion=utf8_decode($registro["resolucionie"]);
	$rector=utf8_decode($registro["rectorie"]);
}

include("../php/conexion-bdie.php");
$contador=0;

$regdocentes=mysql_query("Select iddocente,nombres,apellidos,documento From datos_docentes Where estado='1'",$db_basededatosie);
while ($FilaDocente=mysql_fetch_array($regdocentes)){
	$docentesdesordenados[$contador][0]=utf8_decode($FilaDocente["apellidos"]);
	$docentesdesordenados[$contador][1]=utf8_decode($FilaDocente["nombres"]);
	$docentesdesordenados[$contador][2]=utf8_decode($FilaDocente["documento"]);
	$docentesdesordenados[$contador][3]=utf8_decode($FilaDocente["iddocente"]);
	$contador=$contador+1;
}
// Ordenar el array ... 
if ($contador){
	sort($docentesdesordenados);
}
$carne=0;
while ($carne<=$contador-1){
	for ($i=0;$i<=3;$i++){
		if ($i==0)	$pdf->AddPage();
		$pdf->Image('imagenes/fondo-carne.jpg',10,7+$i*59,100,59);
		$pdf->Image('imagenes/escudo.jpg',20,15+$i*59,12,15);
		$pdf->Image('imagenes/firmarector.jpg',135,30+$i*59,50,20);
		$pdf->Cell(100,59,'',1,0,'C');$pdf->Cell(100,59,'',1,0,'C');$pdf->Ln(8);
		$pdf->SetFont('Arial','B',8);$pdf->Cell(20);$pdf->Cell(80,5,$institucion,0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(3);
		$pdf->SetFont('Arial','B',7);$pdf->Cell(20);$pdf->Cell(80,5,'HATOCOROZAL - CASANARE',0,0,'C');$pdf->Cell(100,4,'ESTE CARNET ES PERSONAL E INTRANSFERIBLE',0,0,'C');$pdf->Ln(3);
		$pdf->SetFont('Arial','',6);$pdf->Cell(20);$pdf->Cell(80,5,"Nit #: ".$nit."  Dane #: ".$dane,0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(13);
		$pdf->SetFont('Helvetica','',9);$pdf->Cell(8);$pdf->Cell(55,5,'Apellidos:',0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(5);
		$pdf->SetFont('Helvetica','B',10);$pdf->Cell(8);$pdf->Cell(55,5,$docentesdesordenados[$carne][0],0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(5);
		$pdf->SetFont('Helvetica','',9);$pdf->Cell(8);$pdf->Cell(55,5,'Nombres:',0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->Cell(100,4,'Rector: '.$rector,0,0,'C');$pdf->Ln(5);
		$pdf->SetFont('Helvetica','B',10);$pdf->Cell(8);$pdf->Cell(55,5,$docentesdesordenados[$carne][1],0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(8);
		$pdf->SetFont('Helvetica','',9);$pdf->Cell(8);$pdf->Cell(55,5,'Documento: C.C. # '.$docentesdesordenados[$carne][2],0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->SetFont('Helvetica','I',5);$pdf->Cell(100,4,'Código:  '.$docentesdesordenados[$carne][3].'               -o-               Validez: Diciembre de 2013',0,0,'C');$pdf->Ln(5);
		$pdf->SetFont('Helvetica','',10);$pdf->Cell(8);$pdf->Cell(55,5,'',0,0,'L');$pdf->Cell(37,20,'',0,0,'C');$pdf->Cell(100,4,'',0,0,'C');$pdf->Ln(4);
		$carne++;
	}
}

$pdf->Output();
?>